org.apache.log4j.chainsaw.zeroconf

## Class ZeroConfDeviceModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - org.apache.log4j.chainsaw.zeroconf.ZeroConfDeviceModel

- All Implemented Interfaces:
    Serializable, EventListener, javax.jmdns.ServiceListener, TableModel

      public class ZeroConfDeviceModel
      extends AbstractTableModel
      implements javax.jmdns.ServiceListener

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZeroConfDeviceModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class` | `getColumnClass(int columnIndex)`
    `int` | `getColumnCount()`
    `String` | `getColumnName(int column)`
    `int` | `getRowCount()`
    `javax.jmdns.ServiceInfo` | `getServiceInfoAtRow(int row)`
    `Object` | `getValueAt(int rowIndex, int columnIndex)`
    `boolean` | `isCellEditable(int rowIndex, int columnIndex)`
    `void` | `serviceAdded(javax.jmdns.ServiceEvent event)`
    `void` | `serviceRemoved(javax.jmdns.ServiceEvent event)`
    `void` | `serviceResolved(javax.jmdns.ServiceEvent event)`
    `void` | `setValueAt(Object aValue, int rowIndex, int columnIndex)`
    `void` | `setZeroConfPreferenceModel(ZeroConfPreferenceModel zeroConfPreferenceModel)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZeroConfDeviceModel

          public ZeroConfDeviceModel()

  - ### Method Detail

    - #### getRowCount

          public int getRowCount()

      Specified by:
        `getRowCount` in interface `TableModel`

    - #### getColumnCount

          public int getColumnCount()

      Specified by:
        `getColumnCount` in interface `TableModel`

    - #### getServiceInfoAtRow

          public javax.jmdns.ServiceInfo getServiceInfoAtRow(int row)

    - #### getValueAt

          public Object getValueAt(int rowIndex,
                                   int columnIndex)

      Specified by:
        `getValueAt` in interface `TableModel`

    - #### serviceAdded

          public void serviceAdded(javax.jmdns.ServiceEvent event)

      Specified by:
        `serviceAdded` in interface `javax.jmdns.ServiceListener`

    - #### serviceRemoved

          public void serviceRemoved(javax.jmdns.ServiceEvent event)

      Specified by:
        `serviceRemoved` in interface `javax.jmdns.ServiceListener`

    - #### serviceResolved

          public void serviceResolved(javax.jmdns.ServiceEvent event)

      Specified by:
        `serviceResolved` in interface `javax.jmdns.ServiceListener`

    - #### setZeroConfPreferenceModel

          public void setZeroConfPreferenceModel(ZeroConfPreferenceModel zeroConfPreferenceModel)

    - #### getColumnName

          public String getColumnName(int column)

      Specified by:
        `getColumnName` in interface `TableModel`
      Overrides:
        `getColumnName` in class `AbstractTableModel`

    - #### isCellEditable

          public boolean isCellEditable(int rowIndex,
                                        int columnIndex)

      Specified by:
        `isCellEditable` in interface `TableModel`
      Overrides:
        `isCellEditable` in class `AbstractTableModel`

    - #### getColumnClass

          public Class getColumnClass(int columnIndex)

      Specified by:
        `getColumnClass` in interface `TableModel`
      Overrides:
        `getColumnClass` in class `AbstractTableModel`

    - #### setValueAt

          public void setValueAt(Object aValue,
                                 int rowIndex,
                                 int columnIndex)

      Specified by:
        `setValueAt` in interface `TableModel`
      Overrides:
        `setValueAt` in class `AbstractTableModel`

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.